ETH_HW_ADDR_RANDOM(9)

NAME
eth_hw_addr_random - Generate software assigned random Ethernet and set device flag

SYNOPSIS

void eth_hw_addr_random(struct net_device * dev);

ARGUMENTS

dev
    pointer to net_device structure

DESCRIPTION

Generate a random Ethernet address (MAC) to be used by a net device and set addr_assign_type so the state can be read by sysfs and be used by userspace.

COPYRIGHT